- Qt 5.15
- Qt 3D
- C++ Classes
- QPropertyNodeRemovedChange
- Qt 5.15.18 Reference Documentation

# QPropertyNodeRemovedChange Class

class Qt3DCore::QPropertyNodeRemovedChange

The QPropertyNodeRemovedChange class is used to notify when a node is removed from a property. More...

Header: | #include <Qt3DCore/QPropertyNodeRemovedChange>
qmake: | QT += 3dcore
Inherits: | Qt3DCore::QStaticPropertyValueRemovedChangeBase

- List of all members, including inherited members

## Public Functions

| QPropertyNodeRemovedChange(QNodeId subjectId, QNode *node)
const QMetaObject * | metaObject() const
QNodeId | removedNodeId() const

## Related Non-Members

typedef | QPropertyNodeRemovedChangePtr

## Detailed Description

## Member Function Documentation

### QPropertyNodeRemovedChange::QPropertyNodeRemovedChange(QNodeId subjectId, QNode *node)

Constructs a new QPropertyNodeRemovedChange with subjectId, node.

### const QMetaObject *QPropertyNodeRemovedChange::metaObject() const

Returns the metaObject of the node removed to the property.

### QNodeId QPropertyNodeRemovedChange::removedNodeId() const

Returns the id of the node removed to the property.

## Related Non-Members

### typedef QPropertyNodeRemovedChangePtr

A shared pointer for QPropertyNodeRemovedChange.